/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.bekvon.bukkit.residence.event;

import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

import com.bekvon.bukkit.residence.protection.ClaimedResidence;

/**
 *
 * @author Administrator
 */
public class ResidenceEvent extends Event {

	private static final HandlerList handlers = new HandlerList();
	public static HandlerList getHandlerList() {
		return handlers;
	}

	private String message;

	ClaimedResidence res;

	public ResidenceEvent(String eventName, ClaimedResidence resref)
	{
		message = eventName;
		res = resref;
	}

	@Override
	public HandlerList getHandlers() {
		return handlers;
	}

	public String getMessage() {
		return message;
	}

	public ClaimedResidence getResidence()
	{
		return res;
	}
}
